package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[EAMApplyStateModelLineDTO]
 */
@Data
public class EAMApplyStateModelLineDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMAPPLYSTATEMODELLINENAME]
     *
     */
    @JSONField(name = "eamapplystatemodellinename")
    @JsonProperty("eamapplystatemodellinename")
    private String eamapplystatemodellinename;

    /**
     * 属性 [EAMAPPLYSTATEMODELLINEID]
     *
     */
    @JSONField(name = "eamapplystatemodellineid")
    @JsonProperty("eamapplystatemodellineid")
    private String eamapplystatemodellineid;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [EAMAPPLYSTATEID]
     *
     */
    @JSONField(name = "eamapplystateid")
    @JsonProperty("eamapplystateid")
    private String eamapplystateid;

    /**
     * 属性 [EAMAPPLYSTATEMODELID]
     *
     */
    @JSONField(name = "eamapplystatemodelid")
    @JsonProperty("eamapplystatemodelid")
    private String eamapplystatemodelid;


    /**
     * 设置 [EAMAPPLYSTATEMODELLINENAME]
     */
    public void setEamapplystatemodellinename(String  eamapplystatemodellinename){
        this.eamapplystatemodellinename = eamapplystatemodellinename ;
        this.modify("eamapplystatemodellinename",eamapplystatemodellinename);
    }

    /**
     * 设置 [EAMAPPLYSTATEID]
     */
    public void setEamapplystateid(String  eamapplystateid){
        this.eamapplystateid = eamapplystateid ;
        this.modify("eamapplystateid",eamapplystateid);
    }

    /**
     * 设置 [EAMAPPLYSTATEMODELID]
     */
    public void setEamapplystatemodelid(String  eamapplystatemodelid){
        this.eamapplystatemodelid = eamapplystatemodelid ;
        this.modify("eamapplystatemodelid",eamapplystatemodelid);
    }


}

